//J M Smith, H C Van Ness and M M Abbott;Introduction to Chemical Engineering Thermodynamics; 7th Edition. 

//Chapter-5:The second law of thermodynamics
//Example: 5.8 Page 184
//Title: Check if the process is feasible using equation of ideal work 
//==================================================================================
model Ex5_8

//==================================
//Parameter section
parameter Real Ts(unit="K")=373.15 "Temperature of saturated steam";
parameter Real Tr(unit="K")=473.15 "Reported temperature provided by process";
parameter Real Tsigma(unit="K")=273.15 "Temperature of cooling water";
parameter Real Qr(unit="kJ")=2000 "Reported energy liberated";
parameter Real H1(unit="kJ/kg")=2676 "Enthalpy at 373.15 K from Appendix F";
parameter Real S1(unit="kJ/(K kg)")=7.3554 "Entropy at 373.15 K from Appendix F";
parameter Real H2(unit="kJ/(K kg)")=0 "Enthalpy at 273.15 K from Appendix F";
parameter Real S2(unit="kJ/kg")=0 "Entropy at 273.15 K from Appendix F";

//==================================
//Variable section
Real Q(unit="kJ") "Heat rejected";
Real deltaS(unit="kJ/(K kg)") "Enthalpy change of steam";
Real deltaH(unit="kJ/kg") "Enthalpy change of steam";
Real Wideal(unit="kJ") "Work done";

//==================================
//Equation section
equation
deltaS = S2-S1;
deltaH = H2-H1;
Wideal = deltaH-Tsigma*deltaS;
Q = Wideal*Tr/(Tsigma-Tr); //if |Q|<Qr process not feasible

end Ex5_8;
//==================================================================================